dexplorer(1m)

NAME
dexplorer - run a series of scripts and archive output. Uses DTrace.

SYNOPSIS
dexplorer

DESCRIPTION
This program automatically runs a collection of DTrace scripts to examine many areas of the system, and places the output in a meaningful directory structure that is tar'd and gzip'd. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

OPTIONS

-q  quiet mode

-y  "yes", don't prompt for confirmation

-D  don't delete output dir

-T  don't create output tar.gz

-d outputdir
    output directory

-i interval
    interval for each sample

EXAMPLES

Create output file in current directory,
    # dexplorer

Don't prompt
    # dexplorer -y

Leave expanded directories, don't archive and compress,
    # dexplorer -DT

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
dtrace(1M)